Bug 548099 - Missing ppc/ppc64 build on F-12 and F-11
Summary: Missing ppc/ppc64 build on F-12 and F-11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jna
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 538803
TreeView+ depends on / blocked
 
Reported: 2009-12-16 15:55 UTC by Alexander Kurtakov
Modified: 2010-01-03 21:01 UTC (History)
2 users (show)

Fixed In Version: 3.2.4-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:22 UTC


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-12-16 15:55:00 UTC
jna.spec has 
%if 0%{?rhel} < 6
 	ExcludeArch: ppc ppc64
%endif 
which gets applied to fedora also because rhel is not defined and it becomes 0<6.

As an effect jna becomes x86 x86_64 only which breaks installing java-devel >= 1.6 because it requires netbeans-platform which itself requires jna. 
As an effect all java updates for F-12/F-11 are broken.

Comment 1 Levente Farkas 2009-12-17 08:56:11 UTC
now i able to login again:-)
so even if i fix the ExcludeArch i can't build a new package because of the circular dependencies on netbeans-platform. and i still believe it's a bug in jdk that it's require netbeans-platform which should have to be solved (even if sun's jdk do the same). 
anyway i checkin a better fix.

Comment 2 Levente Farkas 2009-12-17 08:57:33 UTC
and please let me know when the circular dependencies are solved.

Comment 3 Fedora Update System 2009-12-17 09:09:02 UTC
jna-3.2.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jna-3.2.4-2.fc12

Comment 4 Alexander Kurtakov 2009-12-17 09:20:18 UTC
Fixed for F-12 by doing:
1. koji tag-pkg dist-f12-updates-candidate jna-3.0.9-5.fc12
2. wait for newRepo to finish after your build
3. do your new build

In short this procedure puts the old and good jna in the build repo and gives you the ability to unbreak the dependency loop and rebuild a new jna.

Please do this only if you're going to push new jna immediately for the rest of the branches you care about.

Comment 5 Alexander Kurtakov 2009-12-17 09:21:30 UTC
I should have said that you need to tag packages from the given branches i.e.:
koji tag-pkg dist-f11-updates-candidate jna-3.0.9-5.fc11
for F-11

Comment 6 Fedora Update System 2009-12-17 10:27:23 UTC
jna-3.2.4-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jna-3.2.4-3.fc12

Comment 7 Levente Farkas 2009-12-17 14:49:32 UTC
(In reply to comment #4)
> 2. wait for newRepo to finish after your build

and how long does it take? is there any way to check it's state?

Comment 8 Fedora Update System 2009-12-18 04:23:49 UTC
jna-3.2.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jna'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13289

Comment 9 Fedora Update System 2009-12-18 04:34:17 UTC
jna-3.2.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Levente Farkas 2009-12-19 20:23:47 UTC
i'm not able to rebuild it on f11:-(
i already tag the package but still not be able to build the latest:-(

Comment 11 Fedora Update System 2010-01-03 21:01:02 UTC
jna-3.2.4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.